[patch] 0.9.4: fix condrestart in the initscript
Tim Waugh <[email protected]> Tue, 26 Jul 2005 15:07:35 +0100
| Newsgroups | gmane.linux.drivers.hpofficejet.devel |
|---|---|
| Message-ID | <[email protected]> |
Hi,
Here is a patch to fix 'condrestart' in the initscript. Currently it
does nothing due to a typo.
Tim.
*/
--- hplip-0.9.4/hplip.sh.condrestart 2005-07-26 14:55:58.000000000 +0100
+++ hplip-0.9.4/hplip.sh 2005-07-26 14:56:34.000000000 +0100
@@ -145,7 +145,7 @@
mystatus hpssd
;;
condrestart)
- [ -f /var/lock/subsys/hpiod ] && [ -f /var/lock/subsys/hpssd ] && restart || :
+ [ -f /var/lock/subsys/hpiod ] && [ -f /var/lock/subsys/hpssd.py ] && restart || :
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart}"
-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click